import Component from '../../component.js'
import CoUxLayoutBreadcrumbsItem from './ux-layout-breadcrumbs-item.js';

export default class CoUxLayoutBreadcrumbs extends Component {
    constructor(parent) {
      let selector = 'div[contains(@class,"ux-layout-breadcrumbs")]';
      super(parent, selector);
      //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/src/lib/ux-components/layout/ux-layout-breadcrumbs/ux-layout-breadcrumbs.component.html?at=refs%2Fheads%2Fsupport%2F10.x
    }
    get dataE2E() {
      let path = '//div[@data-e2e="ux-layout-breadcrumbs"]';
      return this.currentPath + path;
    }
    get breadcrumbItemCo(){
      return new CoUxLayoutBreadcrumbsItem(this)
    }
}


